# Generated by Django 3.2.2 on 2021-05-31 14:12

import wagtail.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("elections2021", "0028_elections2021programpointpage_default_order"),
    ]

    operations = [
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="benefits",
            field=wagtail.fields.StreamField(
                [
                    (
                        "benefit",
                        wagtail.blocks.StructBlock(
                            [
                                ("title", wagtail.blocks.CharBlock(label="název")),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                            "document-link",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="ostatní benefity",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="benefits_main",
            field=wagtail.fields.StreamField(
                [
                    (
                        "benefit",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "variant",
                                    wagtail.blocks.ChoiceBlock(
                                        choices=[
                                            ("1", "Pro mladé"),
                                            ("2", "Pro rodiny s dětmi"),
                                            ("3", "Pro lidi ve zralém věku"),
                                            ("4", "Pro seniory"),
                                            ("5", "Pro zaměstnance"),
                                            ("6", "Pro živnostníky a podnikatele"),
                                            ("7", "Pro lidi ve finanční tísni"),
                                            ("8", "Pro nás pro všechny"),
                                            ("9", "Pro veřejné finance"),
                                            ("10", "Pro rozvoj obcí a měst"),
                                            ("11", "Pro lékaře a zdravotníky"),
                                            ("12", "Pro zemědělce"),
                                            ("13", "Pro děti"),
                                        ],
                                        label="název",
                                    ),
                                ),
                                (
                                    "text",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                            "document-link",
                                        ],
                                        label="text",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="hlavní benefity",
            ),
        ),
        migrations.AlterField(
            model_name="elections2021programpointpage",
            name="faq",
            field=wagtail.fields.StreamField(
                [
                    (
                        "question",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "question",
                                    wagtail.blocks.CharBlock(label="otázka"),
                                ),
                                (
                                    "answer",
                                    wagtail.blocks.RichTextBlock(
                                        features=[
                                            "h4",
                                            "ul-elections2021",
                                            "superscript",
                                            "link",
                                            "italic",
                                            "document-link",
                                        ],
                                        label="odpověď",
                                    ),
                                ),
                            ]
                        ),
                    )
                ],
                blank=True,
                verbose_name="FAQ",
            ),
        ),
    ]
